Merchant

Stream the store's activity

GET
/api/merchant/activity

Every step Undo records, newest first (up to 60). Pass after to get only events newer than that id.

Query Parameters

after?integer

Only events with an id greater than this.

Range0 <= value

Response Body

application/json

curl -X GET "https://example.com/api/merchant/activity"
{  "events": [    {      "id": 226,      "at": "2026-10-20T12:38:24.861Z",      "type": "MERCHANT_RULES_CHANGED",      "kind": "record",      "how": "Recorded in the chain.",      "orderId": null,      "amount": null,      "agent": null,      "ref": null    },    {      "id": 225,      "at": "2026-10-20T12:17:27.554Z",      "type": "PAYMENT_VOIDED",      "kind": "paypal",      "how": "Authorization voided: no money moved and no fees.",      "orderId": "0b1b3bb1-f411-406a-87b7-0bf32f55ed61",      "amount": null,      "agent": null,      "ref": "8L594057D91511610"    }  ]}